c4eva has released new LT+ which works around the A.P.2.5 problem.
Google for more info